Skip to main content
GET
Teams

Authorizations

apiKey
string
query
required

Path Parameters

id
integer
required

Numeric ID of the team to get teams for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, name, extraName, fullName, logo, logoUrl, founded, city, colors, status, league, secondaryLeague, teamType, teamClass, country, continent, flagUrl, defaultSeason, activeSeason, arena, secondaryArena, capHit, views, currentRosterSize, links, notes, eliteprospectsUrlPath, slug, updatedAt, _links, mhrRating, mhrId, mhrUrl

Available options:
id,
name,
extraName,
fullName,
logo,
logoUrl,
founded,
city,
colors,
status,
league,
secondaryLeague,
teamType,
teamClass,
country,
continent,
flagUrl,
defaultSeason,
activeSeason,
arena,
secondaryArena,
capHit,
views,
currentRosterSize,
links,
notes,
eliteprospectsUrlPath,
slug,
updatedAt,
_links,
mhrRating,
mhrId,
mhrUrl,
logo.*,
league.*,
secondaryLeague.*,
country.*,
flagUrl.*,
defaultSeason.*,
activeSeason.*,
arena.*,
secondaryArena.*,
links.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
name,
-name,
country,
-country,
teamClass,
-teamClass,
views,
-views,
updatedAt,
-updatedAt,
mhrRating,
-mhrRating
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

q
string

Full-text search by name

name
string

Filter by name

city
string

Filter by city

country
string

Filter by country slug in ISO 3166-1 alpha-3

country:not
string

Filter by country slug not equal to in ISO 3166-1 alpha-3

continent
enum<string> | null

Filter by continent

Available options:
INT,
AF,
AN,
AS,
EU,
NA,
OC,
SA,
null
league
string

Filter by league slug

league.leagueLevel
string

Filter by league.leagueLevel

status
enum<string>

Filter by status

Available options:
active,
not-active
playingInLeague
string[]

Filter by playingInLeague

notPlayingInLeague
string[]

Filter by notPlayingInLeague

hasPlayedInLeague
string[]

Filter by hasPlayedInLeague

hasPlayedInLeague.season
string

Filter by hasPlayedInLeague.season slug

neverPlayedInLeague
string[]

Filter by neverPlayedInLeague

teamType
enum<string>

Filter by teamType

Available options:
club,
international
teamClass
enum<string>

Filter by teamClass

Available options:
men,
women
updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of teams.

_meta
object
data
object[]